## pcre2-ocaml 8.0.3

=== examples/Makefile ===
TARGETS = $(addsuffix .bc, cloc count_hash dfa_restart pcre2grep subst)

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== pa_ppx_test/Makefile ===
NOT_OCAMLFIND=not-ocamlfind

bootstrap: ../test/pcre2_tests.ml

../test/%.ml: %.ml
	$(NOT_OCAMLFIND) preprocess -package pa_ppx_regexp,camlp5.pr_o -ppopt -pa_ppx_regexp-nostatic -syntax camlp5o $< > $@.NEW && \
	mv $@.NEW $@

.SUFFIXES: .ml

## pcre2-ocaml 0.0.0~git20230408

=== debian/changelog ===
pcre2-ocaml (0.0.0~git20230408-1) unstable; urgency=medium

  * Initial release (Closes: #1049405)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 15 Aug 2023 12:29:22 +0200

=== debian/control ===
Source: pcre2-ocaml
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libpcre2-dev,
 ocaml,
 ocaml-dune,
 libdune-ocaml-dev,
 dh-ocaml (>= 1.2)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/pcre2-ocaml.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/pcre2-ocaml

Package: libpcre2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for PCRE2 (runtime)
 This OCaml-library interfaces the PCRE2 (Perl-compatibility
 regular expressions) C library. it can be used for matching
 regular expressions which are written in Perl style.
 .
 Compared with the OCaml standard library "Str" module, this
 library:
  * uses Perl style rather than Emacs one
  * is reentrant and thus thread safe
  * is faster (when compiled to native code is even faster than
    Perl regular expressions)
  * returns data on which you can safely use destructive updates
  * gives more "programming comfort" through a better API
 .
 This package contains only the shared runtime stub libraries.

Package: libpcre2-ocaml-dev
Architecture: any
Depends:
 libpcre2-dev,
 ocaml-findlib,
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for PCRE2 (Perl Compatible Regular Expression)
 This OCaml-library interfaces the PCRE2 (Perl-compatibility
 regular expressions) C library. it can be used for matching
 regular expressions which are written in Perl style.
 .
 Compared with the OCaml standard library "Str" module, this
 library:
  * uses Perl style rather than Emacs one
  * is reentrant and thus thread safe
  * is faster (when compiled to native code is even faster than
    Perl regular expressions)
  * returns data on which you can safely use destructive updates
  * gives more "programming comfort" through a better API
 .
 This package contains all the development stuff you need to use
 OCaml PCRE2 in your programs.

## pcre2-ocaml 7.5.1

=== debian/changelog ===
pcre2-ocaml (7.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 19:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Homepage: https://github.com/camlp5/pcre2-ocaml
 Vcs-Git: https://salsa.debian.org/ocaml-team/pcre2-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/pcre2-ocaml

## pcre2-ocaml 7.5.2

=== debian/changelog ===
pcre2-ocaml (7.5.2-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:10:13 +0100

pcre2-ocaml (7.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 05:35:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
+ libounit-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/camlp5/pcre2-ocaml/releases?per_page=50 \
https://github.com/camlp5/pcre2-ocaml/releases/download/[^/]+/pcre2-@ANY_VERSION@.tbz

## pcre2-ocaml 8.0.2

=== debian/changelog ===
pcre2-ocaml (8.0.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 17:41:43 +0100

## pcre2-ocaml 8.0.3

=== debian/changelog ===
pcre2-ocaml (8.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Feb 2025 08:12:50 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdune-ocaml-dev,
  libounit-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/camlp5/pcre2-ocaml
 Vcs-Git: https://salsa.debian.org/ocaml-team/pcre2-ocaml.git

=== debian/watch ===
version=4
https://github.com/camlp5/pcre2-ocaml/tags .*/@ANY_VERSION@\.tar\.gz

## pcre2-ocaml 8.0.4

=== Makefile ===
.PHONY: all clean doc

all:
	@dune build @install
	@make -C lib compile_commands.json

test: all
	@dune build @install @runtest

clean:
	@dune clean
	@make -C lib clean-compile-commands

doc:
	@dune build @doc

=== lib/Makefile ===
TARGETS = pcre2.cma libpcre2_stubs.a

.PHONY: all clean clean-compile-commands

all: compile_commands.json
	@dune build $(TARGETS)

clean: clean-compile-commands
	@dune clean

compile_commands.json: config/dune config/discover.ml $(wildcard *.c *.h)
	@dune rules | dune-compiledb

clean-compile-commands:
	@rm -f compile_commands.json

=== pa_ppx_test/Makefile ===
NOT_OCAMLFIND=not-ocamlfind

bootstrap: ../test/pcre2_tests.ml

../test/%.ml: %.ml
	$(NOT_OCAMLFIND) preprocess \
		-package pa_ppx_regexp,camlp5.pr_o -ppopt -pa_ppx_regexp-nostatic \
		-syntax camlp5o $< > $@.NEW && \
	mv $@.NEW $@

.SUFFIXES: .ml

=== debian/changelog ===
pcre2-ocaml (8.0.4-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 09:59:23 +0100

pcre2-ocaml (8.0.4-1) unstable; urgency=medium

  * New upstream release
  * Bump debian/watch version to 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Nov 2025 15:54:54 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  libdune-ocaml-dev,
  libounit-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/camlp5/pcre2-ocaml
 Vcs-Git: https://salsa.debian.org/ocaml-team/pcre2-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/pcre2-ocaml

=== debian/watch ===
Version: 5

Source: https://github.com/camlp5/pcre2-ocaml/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
